Public Member Functions | Protected Attributes | List of all members
GreatWksDBParserInternal::SubDocument Class Reference

Internal: the subdocument of a GreatWksDBParser. More...

Inheritance diagram for GreatWksDBParserInternal::SubDocument:

## Public Member Functions
| SubDocument (GreatWksDBParser &pars, MWAWInputStreamPtr input, int zoneId)
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
int | m_id
| the subdocument id More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

Internal: the subdocument of a GreatWksDBParser.

## Constructor & Destructor Documentation

## ◆ SubDocument()

GreatWksDBParserInternal::SubDocument::SubDocument | ( | GreatWksDBParser & | pars,
|  | MWAWInputStreamPtr | input,
|  | int | zoneId
| ) |  |
| inline

## ◆ ~SubDocument()

virtual GreatWksDBParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inline virtual

destructor

## Member Function Documentation

## ◆ operator!=()

bool GreatWksDBParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator==()

virtual bool GreatWksDBParserInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const
| inline virtual

operator!==

## ◆ parse()

void GreatWksDBParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int GreatWksDBParserInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=().

The documentation for this class was generated from the following file:

- GreatWksDBParser.cxx